> ## Documentation Index
> Fetch the complete documentation index at: https://sequence-0fb8d9e6-codex-update-discord-invite.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Native network balances (ie. ETH, MATIC, etc.)

## Fetch native network balance (aka ETH on Ethereum, MATIC on Polygon, AVAX on Avalanche, BNB on BSC, etc.)

*Sequence Indexer `GetEtherBalance` Method:*

* Request: POST /rpc/Indexer/GetEtherBalance
* Content-Type: application/json
* Body (in JSON):
  * `accountAddress` (string) -- the wallet account address

**Example: `GetEtherBalance` MATIC balance of a wallet account address on Polygon using an `API_Access_Key`**

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST -H "Content-Type: application/json" -H "X-Access-Key: AQAAAAAAAF_JvPALhBthL7VGn6jV0YDqaFY" https://polygon-indexer.sequence.app/rpc/Indexer/GetEtherBalance -d '{ "accountAddress": "0x8e3E38fe7367dd3b52D1e281E4e8400447C8d8B9" }'
  ```

  ```ts Typescript theme={null}
  // Works in both a Webapp (browser) or Node.js:
  import { SequenceIndexer } from '@0xsequence/indexer'

  const indexer = new SequenceIndexer('https://polygon-indexer.sequence.app', 'AQAAAAAAAF_JvPALhBthL7VGn6jV0YDqaFY')

  // try any account address you'd like :)
  const accountAddress = '0xabc...'

  // query Sequence Indexer for the MATIC balance on Polygon
  const balance = await indexer.getEtherBalance({
  	accountAddress: accountAddress,
  })
  	
  console.log('tokens in your account:', tokenBalances)
  ```

  ```go Go theme={null}
  import (
  	"context"
  	"fmt"
  	"log"
  	"net/http"

  	"github.com/0xsequence/go-sequence/indexer"
  )

  func GetEtherBalance(accountAddress string) {
  	seqIndexer := indexer.NewIndexer("https://polygon-indexer.sequence.app", "AQAAAAAAAF_JvPALhBthL7VGn6jV0YDqaFY")

  	nativeBalance, err := seqIndexer.GetEtherBalance(context.Background(), &accountAddress)
  	
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println("nativeBalance:", nativeBalance)
  }
  ```
</CodeGroup>
